NestedRequest (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.nested

## Class NestedRequest

- java.lang.Object
- - org.eclipse.jetty.server.Request
  - - org.eclipse.jetty.nested.NestedRequest

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

      public class NestedRequest
      extends Request

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.server.Request

      `_async, _connection`

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NestedRequest(javax.servlet.http.HttpServletRequest outer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSecure()`

    - ### Methods inherited from class org.eclipse.jetty.server.Request

      `addEventListener, extractParameters, getAsyncContext, getAsyncContinuation, getAttribute, getAttributeNames, getAttributes, getAuthentication, getAuthType, getCharacterEncoding, getConnection, getContentLength, getContentRead, getContentType, getContext, getContextPath, getCookies, getDateHeader, getDispatcherType, getDispatchTime, getHeader, getHeaderNames, getHeaders, getInputState, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameters, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryEncoding, getQueryString, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRemoteUser, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getResolvedUserIdentity, getResponse, getRootURL, getScheme, getServerName, getServerPort, getServletContext, getServletName, getServletPath, getServletResponse, getSession, getSession, getSessionManager, getTimeStamp, getTimeStampBuffer, getUri, getUserIdentity, getUserIdentityScope, getUserPrincipal, isAsyncSupported, isHandled, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, mergeQueryString, recoverNewSession, recycle, removeAttribute, removeEventListener, saveNewSession, setAsyncSupported, setAttribute, setAttributes, setAuthentication, setCharacterEncoding, setCharacterEncodingUnchecked, setConnection, setContentType, setContext, setContextPath, setCookies, setDispatcherType, setDispatchTime, setHandled, setMethod, setParameters, setPathInfo, setProtocol, setQueryEncoding, setQueryString, setRemoteAddr, setRemoteHost, setRequestedSessionId, setRequestedSessionIdFromCookie, setRequestURI, setScheme, setServerName, setServerPort, setServletPath, setSession, setSessionManager, setTimeStamp, setUri, setUserIdentityScope, startAsync, startAsync, takeNewContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NestedRequest

          public NestedRequest(javax.servlet.http.HttpServletRequest outer)

  - ### Method Detail

    - #### isSecure

          public boolean isSecure()

      Specified by:
        `isSecure` in interface `javax.servlet.ServletRequest`
      Overrides:
        `isSecure` in class `Request`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.